"""Module used to registered the convertors. 

Add valid extensions in the :attr:`registered_convertors` dictionary.
And adapt :class:`bioconvert.apps.bioconvert` to your needs to add a convertor.


"""



__all__ = ["check_registered", "registered_convertors"]


#: convertors registry. This is used by bioconvert application to check what formats can be converted
registered_convertors = {
    'sif': ['net', 'json'],
    'net': ['sif'],
    'csv': ['obs']
}


def check_registered(inp, out):
    """Function used by :class:`bioconvert.apps.bioconvert` application

    """
    combi = registered_convertors

    if inp not in combi.keys():
        print("BioConvertor error: possible input file are: %s ",combi.keys())
        raise ValueError("Possible input file format are: %s", combi.keys())
    if out not in combi[inp]:
        print("BioConvertor error: possible output for this input (%s) are: %s", (inp, combi[inp]))
        raise ValueError("Possible output for this input (%s) are: %s", (inp, combi[inp]))

